<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: all_tests.php 2409 2005-04-07 14:28:24Z andrew $
*/

/**
 * @package    Max
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

/**
 * A class for running the Data Access Layer (Maintenance) tests. Designed to
 * be included in a main, project-wide all_tests.php file, or to be run by
 * itself.
 */
class Max_Dal_Tests
{
    
    function run()
    {
        // Setup the testing environment
        if (!defined('MAX_PATH')) {
            include_once '../../../../constants.php';
        }
        include_once MAX_PATH . '/tests/testEnvironment.php';
        $testEnvironment = new testEnvironment();
        $testEnvironment->init(true);
        // Tests require "max_" table prefix
        $prefixBackup = $GLOBALS['_MAX']['CONF']['table']['prefix'];
        $GLOBALS['_MAX']['CONF']['table']['prefix'] = 'max_';
        // Run the tests on the Data Access Layer that do NOT need a database
        $test = &new GroupTest('Data Access Layer: Base Tests');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDal.php');
        $test->run(new HtmlReporter());
        // Don't use a PEAR_Error handler for Maintenance Statistics tests
        PEAR::pushErrorHandling(null);
        // Run the tests on the Data Access Layer (Maintenance Statistics) that do NOT need a database
        $test = &new GroupTest('Data Access Layer (Maintenance Statistics): Base Tests');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatistics.php');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatisticsCommon.php');
        $test->run(new HtmlReporter());
        // Run the tests on the Data Access Layer (Maintenance Statistics) that DO need a database
        $test = &new GroupTest('Data Access Layer (Maintenance Statistics): Data Tests');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatisticsAdServermysql.php');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatisticsAdServermysqlSplit.php');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatisticsTrackermysql.php');
        $test->addTestFile(MAX_PATH . '/lib/max/Dal/tests/TestOfDalStatisticsTrackermysqlSplit.php');
        $test->run(new HtmlReporter());
        // Resore the PEAR_Error handler
        PEAR::popErrorHandling();
        // Restore the table prefix
        $GLOBALS['_MAX']['CONF']['table']['prefix'] = $prefixBackup;
        // Close off the testing environment
        $testEnvironment->deinit();
    }
    
}

MAX_Dal_Tests::run();

?>
