<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Normal.php 2329 2005-04-05 13:43:17Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage Priority
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/RequiredAdvertisementImpression/Common.php';

/**
 * The default implementation of {@link Maintenance_Priority_AdServer_RequiredAdvertisementImpression_Common}
 * distributed with Max.
 */
class Maintenance_Priority_AdServer_RequiredAdvertisementImpression_Normal extends Maintenance_Priority_AdServer_RequiredAdvertisementImpression_Common
{
    
    /**
     * The default implementation of 
     * {@link Maintenance_Priority_AdServer_RequiredAdvertisementImpression_Common::calculateRequiredImpressions()}
     * distributed with Max.
     *
     * For each active, non-exclusive/house campaign advertisement, this method calculates
     * the number of required impressions in the next operation interval.
     *
     * For advertisements in campaigns with Inventory Requirements and a Campaign Expiration
     * Date, the required impressions are calculated using the following algorithm:
     *
     * - If the advertisement is in a campaign that has Click and/or Connection/Conversion
     *   Inventory Requirements, then calculate the campaign's Click Through Ratio and/or
     *   Connection/Conversion Ratio as required, and convert the campaign's remaining
     *   Click and/or Connection/Conversion Inventory Requirements into an equivalent
     *   Impression Inventory Requirement.
     * - Using the smallest of the real or calculated Impression Inventory Requirement values,
     *   distribute the required impressions between the campaign's advertisements, on the 
     *   basis of the campaign's advertisement's weights.
     * - For each advertisement, divide the number of impressions allocated equally between
     *   the available operation intervals remaining in the day(s) before the end of the
     *   campaign. Do not include any operation intervals where the advertisement has been
     *   blocked from delivering (ie. a Day, Time, or Date Delivery Limitation exists). The
     *   number of impressions for each remaining operation interval will be the number of
     *   impressions required for the next operation interval, unless the advertisement is
     *   blocked from delivering in the next operation interval, in which case the required
     *   impressions for the next operation interval will be zero.
     *
     * For advertisements in campaigns with a Manual Daily Limit, the required impressions
     * are calculated using the following algorithm:
     *
     * - If the advertisement is in a campaign that has Manual Daily Click and/or Manual Daily
     *   Connection/Conversion Limit, then calculate the campaign's Click Through Ratio and/or
     *   Connection/Conversion Ratio as required, and convert the campaign's remaining
     *   Manual Daily Click and/or Connection/Conversion Limits into an equivalent Manual
     *   Daily Impression Inventory Limit.
     * - Using the smallest of the real or calculated Manual Daily Impression Limit values,
     *   distribute the required impressions between the campaign's advertisements, on the 
     *   basis of the campaign's advertisement's weights.
     * - For each advertisement, divide the number of impressions allocated equally between
     *   the available operation intervals remaining in the day. Do not include any operation
     *   intervals where the advertisement has been blocked from delivering (ie. a Day, Time,
     *   or Date Delivery Limitation exists). The number of impressions for each remaining
     *   operation interval will be the number of impressions required for the next operation
     *   interval, unless the advertisement is blocked from delivering in the next operation
     *   interval, in which case the required impressions for the next operation interval will
     *   be zero.
     *
     * All other advertisements (i.e. those in exclusive or house campaigns) have an
     * infinite number of required impressions in the next operation interval, however, it
     * is not necessary for the class to record this fact, as the delivery engine will
     * calcuate priorities for delivering these advertisements at delivery time.
     *
     * @TODO Needs to be written.
     */
    function calculateRequiredImpressions()
    {
        
    }
    
}

?>
