<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: eyeblaster.plugin.php 2230 2005-03-18 16:08:55Z radek $
*/

/**
 * @package    MaxPlugins
 * @subpackage 3rdPartyServers
 * @author     Radek Maciaszek <radek@awarez.net>
 *
 */

require_once MAX_PATH . '/plugins/3rdPartyServers/3rdPartyServers.php';

/**
 *
 * 3rdPartyServer plugin. Allow for generating different banner html cache
 *
 * @static
 */
class Plugins_3rdPartyServers_eyeblaster_eyeblaster extends Plugins_3rdPartyServers 
{
    
    /**
     * Return the name of plugin
     *
     * @return string
     */
    function getName()
    {
        include_once MAX_PATH . '/lib/max/Plugins/PluginTranslation.php';
        Max_PluginTranslation::init($this->module, $this->package);
        
        return Max_PluginTranslation::translate('Rich Media - Eyeblaster', $this->module, $this->package);
    }
    
    /**
     * Return plugin cache
     *
     * @return string
     */
    function getBannerCache($buffer, &$noScript)
    {
        $search = "#gEbAd.nFlightID\s*=\s*(\d+);#";
        $replace = "gEbAd.nFlightID = $1;\n\/\/Interactions\ngEbAd.interactions = new Object();\ngEbAd.interactions[\"_eyeblaster\"] = \"ebN={clickurl}\";\n";
        
        $buffer = preg_replace ($search, $replace, $buffer);
        
        return $buffer;
    }

}

?>