<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: SQLContainer.plugin.php 2407 2005-04-07 13:58:52Z radek $
*/

/**
 * @package    MaxPlugins
 * @subpackage ChannelDelivery
 * @author     Radek Maciaszek <radek@awarez.net>
 */

require_once MAX_PATH . '/plugins/channelDelivery/ChannelDelivery.php';

/**
 *
 * Class is checking regex rule by domain name (referer) and generate
 * derived source for domains saved in SQL tables
 *
 * @static
 */
class Plugins_ChannelDelivery_SQLContainer_SQLContainer extends Plugins_ChannelDelivery
{
    /**
     * This method read domain regex rules from sql database
     *
     * @param string $domain
     *
     * @return array
     */
    function getRulesFromSQLByDomain($domain)
    {
        $conf = $GLOBALS['_MAX']['CONF'];
        
        $db = &MAX_DB::singleton();
        
        $sql = "
            SELECT r.modifier, r.rule
            FROM 
                ".$conf['table']['prefix'].$conf['table']['plugins_channel_delivery_assoc']." dr, 
                ".$conf['table']['prefix'].$conf['table']['plugins_channel_delivery_domains']." d, 
                ".$conf['table']['prefix'].$conf['table']['plugins_channel_delivery_rules']." r
            WHERE 
                d.domain_name = '". $db->escapeSimple($domain) ."'
                AND dr.rule_id = r.rule_id
                AND d.domain_id = dr.domain_id
            ORDER BY dr.rule_order";
        
        $rules = $db->getAll($sql);
        
        if(PEAR::isError($rules)) {
            return false;
        } else {
            return $rules;
        }
    }

    /**
     * This method is looking for domain regex rules
     * (cache if exists else sql database)
     *
     * @param string $domain
     *
     * @return array
     */
    function getRulesByDomain($domain)
    {
        $rules = $this->getCacheById($domain);
        if($rules !== false) {
            return $rules;
        } else {
            $rules = $this->getRulesFromSQLByDomain($domain);
            if($rules !== false) {
                $this->saveCache($rules, $domain);
            }
            return $rules;
        }
    }

}

?>