<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: stats-campaign-affiliates.php 2264 2005-03-23 18:21:09Z demian $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/max/other/common.php';
require_once MAX_PATH . '/lib/max/other/html.php';
require_once MAX_PATH . '/lib/max/other/stats.php';
require_once MAX_PATH . '/lib/max/Admin_DA.php';

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency + phpAds_Client);

// Get input variables
$pref =& $GLOBALS['_MAX']['PREF'];
$advertiserId   = MAX_getValue('clientid');
$campaignId     = MAX_getValue('campaignid');
$period         = MAX_getStoredValue('period', 'today');
$showPublisher  = MAX_getStoredValue('showpublisher', 't');
$expand         = MAX_getStoredValue('expand', '');
$hideinactive   = MAX_getStoredValue('hideinactive', ($pref['gui_hide_inactive'] == 't'));
$listorder      = MAX_getStoredValue('listorder', 'name');
$orderdirection = MAX_getStoredValue('orderdirection', 'up');
$aNodes         = MAX_getStoredArray('nodes', array());
$collapse       = MAX_getValue('collapse');

// Adjust which nodes are opened closed...
MAX_adjustNodes($aNodes, $expand, $collapse);

// TODO:  Rewrite this phpAdsNew code...
// Make sure that the client has access to the campaign
if (!MAX_checkPlacement($advertiserId, $campaignId)) {
    phpAds_PageHeader('2');
    phpAds_Die ($strAccessDenied, $strNotAdmin);
}

//    $campaigns = MAX_getCacheCampaignsByAdvertiserId($advertiserId);
$campaigns = Admin_DA::fromCache('getPlacements', array('advertiser_id' => $advertiserId), true);
$anonymous = false;
foreach ($campaigns as $campaign) {
    $thisCampaign = false;
    if ($campaign['placement_id'] == $campaignId) {
        $anonymous = ($campaign['anonymous'] == 't' && phpAds_isUser(phpAds_Client));
        $showPublisher = $anonymous ? 'f' : $showPublisher;
        $thisCampaign = true;
    }
    phpAds_PageContext (phpAds_buildName($campaign['placement_id'], $campaign['name']), "stats-campaign-affiliates.php?clientid=$advertiserId&campaignid={$campaign['placement_id']}", $thisCampaign);
}

if (phpAds_isUser(phpAds_Client))
{
    phpAds_PageHeader('1.2.3');
    echo "<img src='images/icon-campaign.gif' align='absmiddle'>&nbsp;<b>".phpAds_getCampaignName($campaignid)."</b><br /><br /><br />";
    phpAds_ShowSections(array('1.2.1', '1.2.2', '1.2.3', '1.2.4'));
}
elseif (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency))
{
    phpAds_PageShortcut($strClientProperties, "advertiser-edit.php?clientid=$advertiserId", 'images/icon-advertiser.gif');
    phpAds_PageShortcut($strCampaignProperties, "campaign-edit.php?clientid=$advertiserId&campaignid=$campaignId", 'images/icon-campaign.gif');

    phpAds_PageHeader("2.1.2.3");
    echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getClientName($advertiserId);
    echo "&nbsp;<img src='images/$phpAds_TextDirection/caret-rs.gif'>&nbsp;";
    echo "<img src='images/icon-campaign.gif' align='absmiddle'>&nbsp;<b>".phpAds_getCampaignName($campaignId)."</b><br /><br /><br />";
    phpAds_ShowSections(array('2.1.2.1', '2.1.2.2', '2.1.2.3', '2.1.2.4'));
}

// Initialise some parameters
$pageName = basename($_SERVER['PHP_SELF']);
$tabindex = 1;

// Display date filter form
$entityIds = array('clientid'=>$advertiserId,'campaignid'=>$campaignId);
$aDates = MAX_getDatesByPeriod($period);
MAX_displayDateSelectionForm($period, $aDates, $pageName, $tabindex, $entityIds);

phpAds_ShowBreak();

$aParams = array('placement_id' => $campaignId);
$aPlacementZones = Admin_DA::getAdZones($aParams, false, 'zone_id');
$aParams += array('zone_id' => implode(',', array_keys($aPlacementZones)));

if ($showPublisher == 't') {
    MAX_displayPublisherZoneStats($aDates + $aParams, $pageName, $anonymous, $aNodes, $expand, $listorder, $orderdirection, $hideinactive, $showPublisher, $entityIds);
} else {
    MAX_displayZoneStats($aParams, $pageName, $anonymous, $aNodes, $expand, $listorder, $orderdirection, $hideinactive, $showPublisher, $entityIds);
}

// Store preferences
$session['prefs'][$pageName]['expand'] = $expand;
$session['prefs'][$pageName]['hideinactive'] = $hideinactive;
$session['prefs'][$pageName]['listorder'] = $listorder;
$session['prefs'][$pageName]['nodes'] = implode (",", $aNodes);
$session['prefs'][$pageName]['orderdirection'] = $orderdirection;
$session['prefs'][$pageName]['period'] = $period;
$session['prefs'][$pageName]['showpublisher'] = $showPublisher;
phpAds_SessionDataStore();

// Display page footer
phpAds_PageFooter();

?>
